/*
 Les 5 VO Arduino Lessenserie Fontys Hogeschool ICT
   THEORIE: WHILE, analoge en digitale IO
   Laat een servo motor instappen van 1 graad draaien en
   geef dat weer via de seriele monitor
 
 Benodigde onderdelen:
 servo motor 
 10 kohm potentiometer 
 2 x 100 uF condensatoren
 
 
 
 */

// laad de servo-library
#include <Servo.h>

Servo mijnServo;  // definieer een servo object

int const potPin = A0; // analoge pin wordt gebruikt voor potentiometer 
int potWaarde;  // variabele leest de waarde van de analoge pin
int hoek;   // variabele leest de hoek van de servo motor

void setup() {
  mijnServo.attach(9); // verbindt de servo op pin 9 met het servo object 
  Serial.begin(9600); // open een seriele connectie met je computer
}

void loop() {
  // Het analogRead() commando converteert het input voltage, 0 to 5 volt
  // naar een digitale waarde tussen 0 and 1023. Dit gebeurt door een 
  // analog-to-digital converter of ADC die op de Arduino zelf zit.
  potWaarde = analogRead(potPin); // lees de waarde van de potentiometer 
  
  Serial.print("potWaarde: ");
  Serial.print(potWaarde); // print die waarde op het scherm via de seriele monitor.

  // de servo draait 180 graden.
  // de digitale range 0-1023 zetten we om naar een hoekvan 0-179
  // en zo sturen we de servo met een nauwkeurigheid van 1 graad aan
  hoek = map(potWaarde, 0, 1023, 0, 179);

  // print de hoek van de servo motor op het scherm
  Serial.print(", Hoek: ");
  Serial.println(hoek); 

  // draai de as van de servo
  mijnServo.write(hoek);

  // een korte pauze om de mechanische beweging uit te laten voeren
  delay(15);
}


